<button type="button"
        class="btn btn-primary mt-2 mb-2 ml-2"
        data-toggle="modal"
        (click)="add()">
    Thêm
</button>
<div class="card p-2 mb-3"
     *ngIf="isThem">
    <div class="card-header">
        <div class="card-title">{{title}}</div>
    </div>
    <form [formGroup]="dpForm">
        <div class="row">
            <div class="form-group col-6">
                <label>Đường Phố</label>
                <input class="form-control"
                       formControlName="street">
            </div>
            <div class="form-group col-6">
                <label>Phường</label>
                <input class="form-control"
                       formControlName="ward">
            </div>
        </div>
        <div class="row">
            <div class="form-group col-6">
                <label>Quận</label>
                <input class="form-control"
                       formControlName="district">
            </div>
            <div class="form-group col-6">
                <label>Thành Phố</label>
                <input class="form-control"
                       formControlName="city">
            </div>
        </div>
        <div class="row">
            <div class="form-group col-6">
                <button type="button"
                        class="btn btn-primary mt-2 mb-2 ml-2"
                        data-toggle="modal"
                        (click)="title==='Thêm thông tin' ? save() :saveUpdate() ">
                    Lưu
                </button>
            </div>
        </div>
    </form>
</div>


<table class="table">
    <thead>
        <tr>

            <th scope="col">Đường</th>
            <th scope="col">Phường</th>
            <th scope="col">Quận</th>
            <th scope="col">Thành Phố</th>
            <th scope="col">#</th>
        </tr>
    </thead>
    <tbody *ngFor="let item of duongpho; let i of index">
        <tr>
            <td>{{item.street}}</td>
            <td>{{item.ward}}</td>
            <td>{{item.district}}</td>
            <td>{{item.city}}</td>
            <td><button class="btn btn-info mr-2"
                        (click)="updateBtn(item, item)">Sửa</button> / <button class="btn btn-danger"
                        (click)="remove(item)">Xóa</button>
            </td>
        </tr>

    </tbody>
</table>

<hr>
<div class="mb-2">
 <h4>State machine</h4>
</div>
<table class="table">
    <thead>
        <tr>
            <th scope="col">Idle</th>
            <th scope="col">Fetch</th>
            <th scope="col">Create</th>
            <th scope="col">Create Request</th>
            <th scope="col">Update</th>
            <th scope="col">Update Request</th>
            <th scope="col">Delete Request</th>
            <th scope="col">Fail</th>
            <th scope="col">Succeess</th>
        </tr>
    </thead>
    <tbody>
        <tr class="text-left mr-2">
            <td ><button [ngClass]="ngClassSwitch('fetch...')">Fetch</button></td>
            <td><button [ngClass]="ngClassSwitch('fetch...')">0</button></td>
            <td ><button [ngClass]="ngClassSwitch('create ready...')">0</button></td>
            <td ><button [ngClass]="ngClassSwitch('create...')">0</button></td>
            <td><button [ngClass]="ngClassSwitch('update ready...')">0</button></td>
            <td><button [ngClass]="ngClassSwitch('update...')">0</button></td>
            <td><button [ngClass]="ngClassSwitch('delete...')">0</button></td>
            <td><button [ngClass]="ngClassSwitch('faild')">x</button></td>
            <td><button [ngClass]="ngClassSwitch('succeess')">1</button></td>
        </tr>
    </tbody>
</table>
<br>
<div>
    <h4 class="text-center"><b>(State)</b> {{state}}</h4>
</div>